Payment batches & settlement
Get Squads Multisig Status From Org Credentials
Name and signature indicate it gets squads multisig status from org credentials
GEThttps://api.toku.com/tga/get-squads-multisig-status-from-org-credentials
Not available to API keys yet. It will need integrations:write.
curl --request GET \
--url 'https://api.toku.com/tga/get-squads-multisig-status-from-org-credentials' \
--header 'Authorization: Bearer <token>'200 response
{
"hasIntegration": true,
"integrationInProgress": true,
"autoApproveWithSigner": true,
"multisigAddress": "string",
"canonicalMultisigAddress": "string",
"multiSigAccount": "string",
"signerPublicKey": "string",
"isSignerOnMultiSig": true,
"signerRoles": [
"string"
],
"requiredRoles": [
"string"
],
"missingRoles": [
"string"
],
"hasRequiredPermissions": true,
"squadsVersion": "V3",
"createKey": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
hasIntegrationbooleanrequiredintegrationInProgressbooleanrequiredautoApproveWithSignerbooleanmultisigAddressstringcanonicalMultisigAddressstringmultiSigAccountstringsignerPublicKeystringisSignerOnMultiSigbooleansignerRolesstring[]requiredRolesstring[]missingRolesstring[]hasRequiredPermissionsbooleansquadsVersionstringAvailable options: V3, V4
createKeystring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits